The Blackwood Chapter and Update 30 are now available for testing on the PTS! Read the full patch notes here: https://forums.elderscrollsonline.com/en/categories/pts/

Mac Client Doesn't Work

Sovngarde
Sovngarde
well i bought the game, then install the mini client that 105 mb. after that clicked to the symbol then the zipped file extracted the file into downloaded files. finally i pressed to install game client, it started after for 5 sec then the client disappeared. and doesn't work did i buy the game for nothing. its so annoying. i can't play for 2 days... please answer what should i do ?
Edited by Sovngarde on April 5, 2014 4:32PM
We have contacted our Customer support team to help you solve your issue.
  • Sovngarde
    Sovngarde
    anyone else having same problem please up the post...
  • coolyojulio
    try show package contents>contents>resources>java>disk1>instData>resource1>$IA_PROJECT_DIR$>src_path>launcher_mac
    is your "bethesda.net launcher" damaged?
    if so same problem here
  • devilbreaker
    try show package contents>contents>resources>java>disk1>instData>resource1>$IA_PROJECT_DIR$>src_path>launcher_mac
    is your "bethesda.net launcher" damaged?
    if so same problem here

    yea i tried this and it says it may be damaged
  • coolyojulio
    ya can someone please post a file of a working installer? maybe that will work
  • Sovngarde
    Sovngarde
    still no solve?
  • coolyojulio
    nope not that i know of, i have been trying to research it and found nothing, and customer support not helping
  • devilbreaker
    yeah i messaged cust supp 2 days ago and still no reply
  • Sovngarde
    Sovngarde
    damn its so ridicilious we payed 60 euro for a damaged client and 15 euro for per month thats so annoying... why do they publish if its not workn...
    Edited by ZOS_JoanaL on April 6, 2014 12:09AM
  • Moonraker
    Moonraker
    ✭✭✭✭
    Guys, going to need more details before I can help further. The ZOS_Install works for most but a few do have some problem with this. To start please post your System details including OS X version, model, etc from here:

    Apple icon (top left of menu bar) > About This Mac > More info…

    Edit: Removed Launcher.zip as it was not working downloading it separately.
    Edited by Moonraker on April 5, 2014 11:21PM
  • coolyojulio
    when i tried what you said i revieved this error

    Hardware Overview:

    Model Name: iMac
    Model Identifier: iMac10,1
    Processor Name: Intel Core 2 Duo
    Processor Speed: 3.06 GHz
    Number of Processors: 1
    Total Number of Cores: 2
    L2 Cache: 3 MB
    Memory: 4 GB
    Bus Speed: 1.07 GHz
    Boot ROM Version: IM101.00CC.B00
    SMC Version (system): 1.52f9

    let me know if you need any additional information
    Edited by coolyojulio on April 5, 2014 10:18PM
  • Moonraker
    Moonraker
    ✭✭✭✭
    when i tried what you said i revieved this error

    Hardware Overview:

    Model Name: iMac
    Model Identifier: iMac10,1
    Processor Name: Intel Core 2 Duo
    Processor Speed: 3.06 GHz
    Number of Processors: 1
    Total Number of Cores: 2
    L2 Cache: 3 MB
    Memory: 4 GB
    Bus Speed: 1.07 GHz
    Boot ROM Version: IM101.00CC.B00
    SMC Version (system): 1.52f9

    let me know if you need any additional information
    OK, not sure why it says that. It works on my iMac OS X 01.9.2

    it may be that it requires proper install to function correctly.

    Can you confirm your OS X version please. Also can you try to download the Mac client install via another browser like Safari. I think you are using Chrome.
    Edited by Moonraker on April 5, 2014 10:57PM
  • coolyojulio
    Can you confirm your OS X version please. Also can you try to download the Mac client install via another browser like Safari. I think you are using Chrome.

    I tried safari and firefox, recieved the same error, and my mac OS X version is 10.9.2
  • karhod
    karhod
    I use safari i have a IMAC OS X 10.9.2
    I did what you said but when i try the launcher i receive the error that the 'launcher' is damage and can't be open. You should put this in the garbage.
  • Moonraker
    Moonraker
    ✭✭✭✭
    Can you confirm your OS X version please. Also can you try to download the Mac client install via another browser like Safari. I think you are using Chrome.

    I tried safari and firefox, recieved the same error, and my mac OS X version is 10.9.2
    Thanks for trying.

    Can you enter this command via Terminal to check the java version currently installed and copy paste the relevant part:
    java -version
    
    Mine is:
    java version "1.6.0_65"
    Java(TM) SE Runtime Environment (build 1.6.0_65-b14-462-11M4609)
    Java HotSpot(TM) 64-Bit Server VM (build 20.65-b04-462, mixed mode)
    Edited by Moonraker on April 5, 2014 11:21PM
  • Moonraker
    Moonraker
    ✭✭✭✭
    karhod wrote: »
    I use safari i have a IMAC OS X 10.9.2
    I did what you said but when i try the launcher i receive the error that the 'launcher' is damage and can't be open. You should put this in the garbage.
    Thanks for the feedback I'll remove the file as it's not going to work this way it looks.

    Can you post your java details please from details above.
  • coolyojulio
    Thanks for trying.

    Can you enter this command via Terminal to check the java version currently installed and copy paste the relevant part:
    java -version
    
    Mine is:
    java version "1.6.0_65"
    Java(TM) SE Runtime Environment (build 1.6.0_65-b14-462-11M4609)
    Java HotSpot(TM) 64-Bit Server VM (build 20.65-b04-462, mixed mode)


    mine is the same
    java version "1.6.0_65"
    Java(TM) SE Runtime Environment (build 1.6.0_65-b14-462-11M4609)
    Java HotSpot(TM) 64-Bit Server VM (build 20.65-b04-462, mixed mode)
  • KhajitFurTrader
    KhajitFurTrader
    ✭✭✭✭✭
    ✭✭
    This error message about an app being damaged is caused by the Gatekeeper, and is described in this Apple knowledge base article.

    Now, you could check your Gatekeeper settings under

    Apple menu > System Preferences… > Security & Privacy > General tab

    and set "Allow apps downloaded from" to "Anywhere", and see if that remedies the situation. If it doesn't, there might be a way to circumvent it, but it's black magick. >:)
  • Moonraker
    Moonraker
    ✭✭✭✭

    try show package contents>contents>resources>java>disk1>instData>resource1>$IA_PROJECT_DIR$>src_path>launcher_mac
    is your "bethesda.net launcher" damaged?
    if so same problem here
    If that file looks like this and give incomplete or damaged message it is normal. Once it is installed it is working.

  • coolyojulio
    This error message about an app being damaged is caused by the Gatekeeper, and is described in this Apple knowledge base article.

    Now, you could check your Gatekeeper settings under

    Apple menu > System Preferences… > Security & Privacy > General tab

    and set "Allow apps downloaded from" to "Anywhere", and see if that remedies the situation. If it doesn't, there might be a way to circumvent it, but it's black magick. >:)

    did what you said and now the laucher that @Moonraker supplied is now opening but now stuck here it wont start installing
    Edited by coolyojulio on April 6, 2014 12:15AM
  • Moonraker
    Moonraker
    ✭✭✭✭
    This error message about an app being damaged is caused by the Gatekeeper, and is described in this Apple knowledge base article.

    Now, you could check your Gatekeeper settings under

    Apple menu > System Preferences… > Security & Privacy > General tab

    and set "Allow apps downloaded from" to "Anywhere", and see if that remedies the situation. If it doesn't, there might be a way to circumvent it, but it's black magick. >:)

    DID WHAT YOU SAID, THEN USED THE LAUNCHER THAT MOONRAKER SUPPLIED AND IT WORKED! THIS IS THE SOLUTION,
    @Moonraker if you took down the launcher i suggest putting it back up thansk so much everyone!
    Holy c**p why didn't I realise that about Gatekeeper. I had the pop-up message asking to confirm but I changed as usual the default to Anywhere....

    Great going @KhajitFurTrader :) I assume it is because they have not added an Apple Developer certificate to the ZOS_Install?

    Doesn't that resolve the issue with the ZOS_Install directly downloaded from the Account page? by changing the Gatekeeper settings? Please check so I don't have to upload it again as I only have 100kb/sec upload ^^
    Edited by Moonraker on April 6, 2014 12:20AM
  • coolyojulio
    The only thing is its opening it up but not installing? and no i tried with the original download client and it still doesn't work that way
    all it does is stay at this screen
    @Moonraker i uploaded the zip file, but what were the steps we are supposed to follow?
    Edited by coolyojulio on April 6, 2014 12:24AM
  • KhajitFurTrader
    KhajitFurTrader
    ✭✭✭✭✭
    ✭✭
    Moonraker wrote: »
    Great going @KhajitFurTrader :) I assume it is because they have not added an Apple certificate to the ZOS_Install?

    Doesn't that resolve the issue with the ZOS_Install directly downloaded from the Account page? by changing the Gatekeeper settings? Please check so I don't have to upload it again as I only have 100kb/sec upload ^^

    The unzipped ESO_Install app seems to be alright. I checked it with
    sudo spctl -v --assess ~/Downloads/Install_ESO.app
    

    and it says
    /Users/<account>/Downloads/Install_ESO.app: accepted
    source=Developer ID
    

    But when I do
    sudo spctl -v --assess /Applications/Zenimax\ Online/Launcher.app
    

    this is the result:
    /Applications/Zenimax Online/Launcher.app: a sealed resource is missing or invalid
    

    But it runs for me, and my Gatekeeper is set to "Mac App Store and identified developers".
    Edited by KhajitFurTrader on April 6, 2014 12:41AM
  • Moonraker
    Moonraker
    ✭✭✭✭
    So bit confused. Where are you currently which the Install process? Let's ensure it works then I can pull all the details together is easier.
  • coolyojulio
    Moonraker wrote: »
    So bit confused. Where are you currently which the Install process? Let's ensure it works then I can pull all the details together is easier.

    it has been like this for 10 min,
    also what was it you wanted us to name the folder that we put the launcher in?
  • Moonraker
    Moonraker
    ✭✭✭✭
    Moonraker wrote: »
    So bit confused. Where are you currently which the Install process? Let's ensure it works then I can pull all the details together is easier.

    it has been like this for 10 min,
    also what was it you wanted us to name the folder that we put the launcher in?
    What I posted:

    To install this you need to make a folder called Zenimax Online in your Applications folder. Put the unzipped Launcher into the new Zenimax Online folder. Then drag the icon to the Dock and create a shortcut to launch more easily or make an Alias for the Desktop.

    Now try launching it and see if it updates itself.

    You MUST remember to manually go into the Options (top right cog icon) and select the correct region Megaserver, either North America or Europe. Also the language you want and Apply.

    Then, on the main window it should show the install greyed and select Install from the Game Options drop down menu on that right side.

    it will install all the data into the actual Launcher itself now (before it was separate folders) Initially it will make a large 22GB temporary install folder for depot without any actual download. Then when its ready wil start the download proper. Let it download.

    It will do several more downloads until it says Complete. Then you should be ready.

    Try that and post how it goes.
    Edited by Moonraker on April 6, 2014 12:58AM
  • Moonraker
    Moonraker
    ✭✭✭✭

    The unzipped ESO_Install app seems to be alright. I checked it with
    sudo spctl -v --assess ~/Downloads/Install_ESO.app
    

    and it says
    /Users/<account>/Downloads/Install_ESO.app: accepted
    source=Developer ID
    

    But when I do
    sudo spctl -v --assess /Applications/Zenimax\ Online/Launcher.app
    

    this is the result:
    /Applications/Zenimax Online/Launcher.app: a sealed resource is missing or invalid
    

    But it runs for me, and my Gatekeeper is set to "Mac App Store and identified developers".

    My results for the same two:

    ZOS_Install
    /Users/<account>/Downloads/Install_ESO.app: accepted
    source=Developer ID
    
    Then in Launcher
    /Applications/Zenimax Online/Launcher.app: accepted
    override=security disabled
    
    So it looks that they don't have the Apple Developer certificate in the Launcher, but it does work for you regardless? As mine is Anywhere and guessing that is reflected in the override=security disabled.

    But the ZOS_Install does have the certificate = source=Developer ID?

    Still unsure then where the issue lies with the ZOS_Install install process.
  • mike_1
    mike_1
    Hi. Installer's still not working.

    Here's my system specs
    Model Name: iMac
    Model Identifier: iMac12,2
    Processor Name: Intel Core i5
    Processor Speed: 2,7 GHz
    Number of Processors: 1
    Total Number of Cores: 4
    L2 Cache (per Core): 256 KB
    L3 Cache: 6 MB
    Memory: 8 GB
    Boot ROM Version: IM121.0047.B1E
    SMC Version (system): 1.72f5

    When I ran "sudo spctl -v --assess ~/Install_ESO.app" on official install app, I got:
    Install_ESO.app: accepted
    source=Developer ID
    override=security disabled

    "java -version"
    java version "1.6.0_65"
    Java(TM) SE Runtime Environment (build 1.6.0_65-b14-462-11M4609)
    Java HotSpot(TM) 64-Bit Server VM (build 20.65-b04-462, mixed mode)

    And my mac accepts installation from "anywhere"

    Is there any other way to get the game? Do we absolutely have to use the installer?
    Edited by mike_1 on April 6, 2014 8:02AM
  • mikeeatworld
    Yeah, having similar issues to most, my MAC client is working, the launcher is up. However it downloads at around 115 k/b's, but managers to get itself stuck on 16%, left it over night and came down to it on the same % this morning..
  • Moonraker
    Moonraker
    ✭✭✭✭
    Yeah, having similar issues to most, my MAC client is working, the launcher is up. However it downloads at around 115 k/b's, but managers to get itself stuck on 16%, left it over night and came down to it on the same % this morning..
    First thing to try is to Cancel the donwload via Options (top fight cog icon) Cancel. Then under the Game Options (right side by install window) click Repair. Let it run and verify the downloaded files. It will usually build temporary files to do the check and take a little time. Once it runs it should either automatically recommence install or press Install.

    As you have only downloaded a partial amount it may not be worth it, but there is a chance that it can wipe the installed folder (wipe not to trash) So it is strongly recommended to backup the Launcher.app as it contains the downloaded files.

    If that doesn't help get the download working correctly post back and we can look at possible network issue.

    Also worth ensuring the OS X Firewall is switched off during download and that any router firewall is not blocking it in some way.

    System Preferences > Secuirty & Privacy > Firewall

    This is in OS X 10.9 Mavericks, It may be slightly different in other versions.
    Edited by Moonraker on April 6, 2014 11:25AM
  • Moonraker
    Moonraker
    ✭✭✭✭
    mike_1 wrote: »
    Hi. Installer's still not working.

    ---snip---

    And my mac accepts installation from "anywhere"

    Is there any other way to get the game? Do we absolutely have to use the installer?
    I posted the Launcher.app to this thread which is now on the post by @coolyojulio here.

    Follow the instructions I posted above here.

    Ensure that Gatekeeper is set to Anywhere (see above), or it will give the damaged error.

    Do ensure you have selected the correct region before starting the Install from Launcher.

    Edited by Moonraker on April 6, 2014 11:35AM
Sign In or Register to comment.